Summary: Cfengine helps administer remote BSD and SysV-like systems
Name: cfengine
Vendor: Mark Burgess <mark@iu.hioslo.no>
Version: 1.6.4
Release: 2
License: GPL
Group: Applications/System
Packager: Pekka Savola <psavola@csc.fi>
URL: http://www.cfengine.org
Summary: Configuration engine for administering large number of hosts
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: ftp://ftp.iu.hioslo.no/pub/%{name}-1.6.4.tar.gz
Source1: cfd.init
Patch0: cfengine-1.6.3-typo.patch
Patch1: cfengine-1.6.4-1.6.5.diff
Requires: openssl db3
PreReq: /sbin/install-info /sbin/service /sbin/chkconfig
BuildPreReq: tetex-dvips texinfo tetex-latex tcp_wrappers openssl-devel db3-devel

%description
Cfengine, the configuration engine, is a very high level language for
simplifying the task of administrating and configuring large numbers
of workstations. Cfengine uses the idea of classes and a primitive
form of intelligence to define and automate the configuration of large
systems in the most economical way possible.

%prep 
%setup 
%patch -p1 
%patch1 -p1

%build
#%%configure --datadir=/etc --mandir=%{_mandir} --infodir=%{_infodir}
./configure --datadir=/etc --mandir=%{_mandir} --infodir=%{_infodir}
make

pushd doc
make
popd

%install
[ $RPM_BUILD_ROOT != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

pushd doc
%makeinstall
popd

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
cp -dp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/cfd

%define info_files cfengine-Reference cfengine-Tutorial

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add cfd
fi
for f in %{info_files}; do
  /sbin/install-info %{_infodir}/$f.gz %{_infodir}/dir \
    --section="GNU Cfengine" 2> /dev/null || :
done

%preun
if [ "$1" = 0 ]; then
  /sbin/chkconfig --del cfd

  for f in %{info_files}; do
    /sbin/install-info --delete %{_infodir}/$f.gz %{_infodir}/dir \
       --section="GNU Cfengine" 2> /dev/null || :
  done
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service cfd condrestart >/dev/null 2>&1
fi

%files 
%defattr(-,root,root)
%doc doc/cfengine-Reference doc/cfengine-Tutorial
%doc doc/cf-security.html
%doc inputs/cf.*.example
%{_sbindir}/*cf*
%{_mandir}/*/*
%{_infodir}/*info*
%attr(0755,root,root) %config /etc/rc.d/init.d/cfd

%clean
[ $RPM_BUILD_ROOT != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 16 2002 Pekka Savola <psavola@csc.fi>
- Apply substantial patches from 1.6.5.

* Fri Jun 28 2002 Pekka Savola <psavola@csc.fi>
- Update to 1.6.4.
- Work around broken build system by using ./configure not %%configure.

* Sat Jul 28 2001 Pekka Savola <psavola@csc.fi>
- More cleanups.

* Tue Jun  5 2001 Pekka Savola <psavola@csc.fi>
- Update to 1.6.3
- Major cleanup

* Sun Oct  1 2000 Pekka Savola <psavola@csc.fi>
- Update to 1.5.4.
- Modernize the spec file and init script; move examples out of /etc/cfengine
- Add the format string vulnerability fix.
- Make cfd restart when upgraded.

* Mon Jan  1 2000 Pekka Savola <psavola@csc.fi>
- Updated to 1.5.4-pre1
- Updated cfd.init a tiny bit

* Fri Sep 24 1999 Pekka Savola <psavola@csc.fi>
- Updated to 1.5.2.

* Fri Aug 27 1999 Pekka Savola <psavola@csc.fi>
- Changed the init.d startup script so that it will, by default, be run on
runlevels 3-5.  The old method caused too much hassle.

* Mon Aug 16 1999 Pekka Savola <psavola@csc.fi>
- Updated to 1.5.1, removed unnecessary patches.

* Fri Jul 30 1999 Pekka Savola <psavola@csc.fi>
- Added some new RPM headers
- added %preun RPM macro to uninstall cfd initscripts

* Wed Jul 28 1999 Pekka Savola <psavola@csc.fi>
- Added misc.c patch (to define classes by IP-address)
- Added init.d - script for cfd, default runlevels: none (safe to install
even on non-server boxes)
- Some texinfo etc. documentation were left out because they didn't 
  compile well..

* Mon Jul 26 1999 Pekka Savola <psavola@csc.fi>
- Added a patch so that 'make install' installs cfkey too.

* Wed Jun 30 1999 Pekka Savola <psavola@csc.fi>
- adapted SPEC file from Rhodes & Mill Mercantile 1.4.12 build
- updated to 1.5.0
- added a patch so that OpenSSL could be used instead of SSLeay
- fixed doc/Makefile.in so that info's will actually install
